package com.fdkanfang.common.util;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by owen on 2020/3/19 0019 15:45
 *
 * 正则表达式
 */
public class RegexpUtils {

    /** 只允许中文 */
    static final String isChinese = "^[一-\u9fff]+$";

    public static void main(String[] args) {
        String param = "dfgdfgsdf345456546*&^%#$*&^%$1";

    }

    /** 是否包含中文字符 */
    public static boolean isContainChinese(String param) {
        if (StringUtils.isNotBlank(param)) {
            Pattern p = Pattern.compile("[\u4e00-\u9fa5]");
            Matcher m = p.matcher(param);
            return m.find();
        }
        return true;
    }

    /** 只允许中文字符 */
    public static boolean isChinese(String param) {
        return param.matches(isChinese);
    }

}
